/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008-2016 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                               version 10.0.0             *
*********************************************************************************
* Id: windowplayer.cpp,                              2008/01/01                 *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#include <xincs.h>
#include <fx.h>
#include "config.h"
#include "WindowPlayer.h"

FXDEFMAP(WindowPlayer) WindowPlayerMap[] = {
	//________Message_Type__________ID__________________Message_Handler__________
    FXMAPFUNC(SEL_COMMAND,       WindowPlayer::ID_QUIT,      WindowPlayer::onCmd_Quit),
    FXMAPFUNC(SEL_SIGNAL,        WindowPlayer::ID_QUIT,      WindowPlayer::onCmd_Quit),

    FXMAPFUNC(SEL_COMMAND,       WindowPlayer::ID_WINDOWHIDE,WindowPlayer::onCmd_WindowHide),
};

FXIMPLEMENT(WindowPlayer, FXTopWindow, WindowPlayerMap, ARRAYNUMBER(WindowPlayerMap))

WindowPlayer::WindowPlayer(FXApp *a, const FXString& name,FXIcon *ic,FXIcon *mi,FXuint opts,FXint x,FXint y,FXint w,FXint h,FXint pl,FXint pr,FXint pt,FXint pb,FXint hs,FXint vs)
#ifdef HAVE_LIBFOX_1_7
	:FXTopWindow(a, "FXMM Player: do not kill (X)", NULL, NULL, DECOR_ALL|PLACEMENT_CURSOR|STACK_TOP, 0,0,640,480, 0,0,0,0, 0,0) {
#elif HAVE_LIBFOX_1_6
	:FXTopWindow(a, "FXMM Player: do not kill (X)", NULL, NULL, DECOR_ALL|PLACEMENT_CURSOR, 0,0,640,480, 0,0,0,0, 0,0) {
#endif
  new FXButton(this,tr("&HIDE"),NULL,this,ID_WINDOWHIDE,BUTTON_DEFAULT|ICON_BEFORE_TEXT|LAYOUT_FILL_X|FRAME_RAISED|FRAME_THICK,0,0,0,0, 40,20,5,5);
}

WindowPlayer::~WindowPlayer(){}

long WindowPlayer::onCmd_WindowHide(FXObject *,FXSelector,void *) {
  //FXMessageBox::warning(this,MBOX_OK,"HIDE PLAYER WINDOW","The window is going to be hidden");
  // Hide
  WindowPlayer::hide();
  return 1;
}

long WindowPlayer::onCmd_Quit(FXObject *,FXSelector,void *) {
  // Quit
  getApp()->exit(0);
  return 1;
}

void WindowPlayer::create() {
  getApp()->addSignal(SIGINT,getApp(),WindowPlayer::ID_QUIT);
  getApp()->addSignal(SIGTERM,getApp(),WindowPlayer::ID_QUIT);

  FXTopWindow::create();
  FXTopWindow::show(PLACEMENT_SCREEN);
}



